/*******************************************************************************
 * Copyright (c) 2004 IBM Corporation.
 * All rights reserved. 
 *******************************************************************************/
package com.ibm.gallery.common.wizards;

/**
* This class holds the String constants used in the Gallery
* 
*/
public interface GalleryConstants {
	
	public static final String GALLERY_ERROR_URL = "/GalleryError"; //$NON-NLS-1$
	public static String NEW_WIZARDS_EXTENSION = "newWizards"; //$NON-NLS-1$
	public static String GALLERY_LOCALE = "GALLERY_LOCALE"; //$NON-NLS-1$
	public static final String GALLERY_CHARSET = "GALLERY_CHARSET"; //$NON-NLS-1$
	
	public interface SessionAttributes {
		//public static final String MENU_VIEWER = "menuviewer"; //$NON-NLS-1$
	}
	
	public interface RequestArguments {
		public static final String GALLERY_ERROR = "GalleryError";//$NON-NLS-1$
		public static final String GALLERY_ERROR_INFO_OBJECT = "GalleryErrorInfoObject";//$NON-NLS-1$
		public static final String GALLERY_EXCEPTION = "GalleryException";//$NON-NLS-1$
	}
	
	public interface I18N {
		public final static String ERROR_GALLERY_TITLE = "ERROR_GALLERY_TITLE";//$NON-NLS-1$				
		public final static String ERROR_GALLERY_CLASS_LOAD_FAILURE = "_ERROR_GALLERY_CLASS_LOAD_FAILURE";//$NON-NLS-1$
		public final static String ERROR_GALLERY_SERVLET_UNKNOWN_ERROR = "_ERROR_GALLERY_SERVLET_UNKNOWN_ERROR";//$NON-NLS-1$
		public final static String ERROR_GALLERY_MISSING_PARAMETER_CLASS = "_ERROR_GALLERY_MISSING_PARAMETER_CLASS";//$NON-NLS-1$
		public final static String ERROR_GALLERY_MISSING_PARAMETER_PLUGINID = "_ERROR_GALLERY_MISSING_PARAMETER_PLUGINID";//$NON-NLS-1$
		public final static String ERROR_GALLERY_PLUGIN_NOT_FOUND = "_ERROR_GALLERY_PLUGIN_NOT_FOUND";//$NON-NLS-1$
		public final static String ERROR_GALLERY_FAILED_DISPLAY_URL = "_ERROR_GALLERY_FAILED_DISPLAY_URL";//$NON-NLS-1$
		public final static String ERROR_GALLERY_WIZHELP_EXTENSIONPOINT_NOT_FOUND = "_ERROR_GALLERY_WIZHELP_EXTENSIONPOINT_NOT_FOUND";//$NON-NLS-1$
		public final static String ERROR_GALLERY_WIZHELP_EXTENSIONID_NOT_FOUND = "_ERROR_GALLERY_WIZHELP_EXTENSIONID_NOT_FOUND";//$NON-NLS-1$
		public final static String ERROR_GALLERY_WIZHELP_CONFIG_ELEM_NOT_FOUND = "_ERROR_GALLERY_WIZHELP_CONFIG_ELEM_NOT_FOUND";//$NON-NLS-1$
		public final static String ERROR_GALLERY_WIZHELP_CREATE_EXECUTABLE_EXTENSION = "_ERROR_GALLERY_WIZHELP_CREATE_EXECUTABLE_EXTENSION";//$NON-NLS-1$
		public final static String ERROR_GALLERY_WIZACTION_NO_WIZARD = "_ERROR_GALLERY_WIZACTION_NO_WIZARD";//$NON-NLS-1$
			
		public final static String EXC_GALLERY_START_WEBAPP_FAILED = "_EXC_GALLERY_START_WEBAPP_FAILED";//$NON-NLS-1$
		public final static String EXC_GALLERY_INTERNAL_EXCEPTION = "_EXC_GALLERY_INTERNAL_EXCEPTION";//$NON-NLS-1$
		
	}
}
